| Version: 3.2.2

Public Member Functions | List of all members
wxBusyCursor Class Reference
Class List by Category » Miscellaneous

`#include <wx/utils.h>`

## Detailed Description

This class makes it easy to tell your user that the program is temporarily busy.

Just create a wxBusyCursor object on the stack, and within the current scope, the hourglass will be shown.

For example:

wxBusyCursor wait;
for (int i = 0; i < 100000; i++)
DoACalculation();
wxBusyCursor
This class makes it easy to tell your user that the program is temporarily busy.
Definition: utils.h:140

It works by calling wxBeginBusyCursor() in the constructor, and wxEndBusyCursor() in the destructor.

##

Library: wxCore
Category: Miscellaneous

See also
  wxBeginBusyCursor(), wxEndBusyCursor(), wxWindowDisabler

## Public Member Functions

| wxBusyCursor (const wxCursor *cursor=wxHOURGLASS_CURSOR)
| Constructs a busy cursor object, calling wxBeginBusyCursor(). More...
| ~wxBusyCursor ()
| Destroys the busy cursor object, calling wxEndBusyCursor(). More...

## Constructor & Destructor Documentation

## ◆ wxBusyCursor()

wxBusyCursor::wxBusyCursor | ( | const wxCursor * | cursor = `wxHOURGLASS_CURSOR` | ) |

Constructs a busy cursor object, calling wxBeginBusyCursor().

## ◆ ~wxBusyCursor()

wxBusyCursor::~wxBusyCursor | ( |  | ) |

Destroys the busy cursor object, calling wxEndBusyCursor().